[Deprecated]: v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/shipments
Deprecated: Searches for shipments associated with a study by study ID. Rights: OrsInventoryGet, OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
-
limit: string
Maximum number of records to display per page.Default Value:
100Example:100 -
offset: string
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Default Value:
0Example:0 -
searchString: string
Search string.Example:
SHIP- -
siteId: string(uuid)
Site ID.Example:
B1B8327AFAA6412287106192AB5984EF -
statusId: number
Unique ID corresponding to each Order status value (1 for PENDING, 2 for IN TRANSIT, 3 for RECEIVED, 4 for CANCELLED, 5 for LOST, 6 for CONFIRMED, 7 for INVALID, 8 for PENDING DESTRUCTION, 9 for RECEIVED FOR DESTRUCTION, 10 for DESTROYED).Example:
1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ViewShipmentResponse
Type:
objectTitle:
ViewShipmentResponseContains shipments search result.
Show Source
-
count: integer
(int64)
Total count of result
-
hasMore: boolean
Attribute describes if result set has more recordsExample:
true -
limit: integer
(int64)
Maximum number of records to display per page.
-
links: array
links
-
offset: integer
(int64)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:
400 -
shipments: array
Shipments
Title:
ShipmentsShipments list. -
totalResults: integer
(int64)
Total number of entities in response
Nested Schema : Shipments
Type:
arrayTitle:
ShipmentsShipments list.
Show Source
Example:
[
{
"shipmentId":"SHIP-0001",
"siteId":"B1B8327AFAA6412287106192AB5984EF",
"siteName":"Site 001",
"depotId":"C36A3197FDEE433FB5547EE83DE99E4B",
"depotName":"Main Depot",
"statusId":1,
"shipmentNumber":"00012345",
"createdDate":"2025-01-01T12:00:00Z",
"shipDate":"2025-01-02T09:30:00Z",
"trackingNumber":"1Z999AA10123456784"
}
]Nested Schema : RelLink
Type:
objectObject contains link detail.
Show Source
-
href: string
Realtive URL
-
rel: string
link
Nested Schema : ShipmentTO
Type:
Show Source
object-
createdDate: string
(date-time)
Shipment creation date.
-
destinationId: string
(uuid)
Destination ID.
-
destinationName: string
Destination name.Example:
Site Houston -
destinationShortName: string
Destination short name.Example:
st_hstn -
isDepotShipment: boolean
Depot shipment indicator.Example:
true -
kitCountsByStatusId: object
Kit Counts By Status ID
Title:
Kit Counts By Status IDAdditional Properties Allowed: Kit Counts By Status IDMap of kit counts grouped by status ID. -
lastStatusUpdateDate: string
(date-time)
Title:
Last Status Update DateLast status update date of the shipment. -
orderType: string
Order type (Manual or Resupply).Example:
Manual -
originId: string
(uuid)
Origin ID.
-
originName: string
Origin name.Example:
Depot Houston -
originShortName: string
Origin short name.Example:
dpt_hstn -
quarantineKitCount: number
(Integer)
Number of kits in quarantine on the shipment.Example:
10 -
reconciliation: boolean
Indicates whether kit reconciliation is included.Example:
true -
reportId: string
(uuid)
Report ID.
-
shipDate: string
(date-time)
Ship date.
-
shipmentId: string
Shipment ID.Example:
B1B8327AFAA6412287106192AB5984EF -
shipmentNumber: string
Shipment number.Example:
123 -
shipmentReceivedDate: string
(date-time)
Title:
Shipment received dateShipment received date. -
shipmentRegisteredDate: string
(date-time)
Title:
Shipment registered dateShipment registered date. -
statusId: number
(Integer)
Shipment status ID.Example:
5 -
trackingNumber: string
Shipment tracking number.Example:
12345 -
trackingNumberURL: string
Tracking URL.Example:
http://www.site.com
Nested Schema : Kit Counts By Status ID
Type:
objectTitle:
Kit Counts By Status IDAdditional Properties Allowed
Show Source
-
integer(int64)
Title:
Kit Counts By Status IDMap of kit counts grouped by status ID.
Map of kit counts grouped by status ID.
Examples
404 Response
'Invalid study ID', 'Study still in design phase'
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples